from .artist_bridge import CylindricalProjection, load_mesh
from .mesh_object import MeshObject
from .generate_atlas import record_atlas
from .load_maps import load_atlas

import importlib.resources
import numpy as np


with importlib.resources.path('CyXTraX.data', 'olaf_6.stl') as file_path:
    olaf_stl = file_path
    olaf_mesh = MeshObject(olaf_stl, 
                           position_mm=np.array([1, 2, 3]),
                           orientation_quat=np.array([0., 0., 0., 1.]))
    
with importlib.resources.path('CyXTraX.data', 'scones.stl') as file_path:
    scones_stl = file_path
    scones_mesh = MeshObject(scones_stl, 
                             position_mm=np.array([0, 0, 0]),
                             orientation_quat=np.array([0., 0., 0., 1.]))