from CyXTraX import CylindricalProjection, load_atlas
from pathlib import Path


# Just get the temp folder to store the atlas
FOLDER = Path(__file__)
TEMP_FOLDER = FOLDER.parent.parent / 'temp'


def main():
    files = list(TEMP_FOLDER.glob('*.h5'))
    if not files:
        raise FileNotFoundError('No .h5 files in temp folder. Run Example 02!')

    maps, points, mesh_object_list = load_atlas(files[-1])
    
    print(f'Loaded Map Shape: {maps.shape}')
    print(f'Loaded Map Centre Shape: {points.shape}')
    print(f'First Object: {mesh_object_list[0]}')
    

if __name__ == '__main__':
    main()